Subject: Re: [PATCH 1/2] Add support for Designware SATA controller driver

From: Jeff Garzik <[email-masked]>
Date: Fri, 01 May 2009 10:07:07 -0400

Benjamin Herrenschmidt wrote:
> Patch 2/2 is just adding the device-tree bits to the platform for
> this driver to match against, so it's no big deal. However, Feng,
> we already mentioned that you do a lot of unrelated changes to the
> Kconfig file that shouldn't be part of this patch, just add the
> entry for this chip, don't move stuff around in Kconfig, unless I
> missed a good reason why this is done that way.

Quite correct -- those drivers/ata/Kconfig changes are bogus.

	Jeff